Open MPI logo

Open MPI User's Mailing List Archives

  |   Home   |   Support   |   FAQ   |   all Open MPI User's mailing list

Subject: Re: [OMPI users] MPI_COMPLEX16
From: Patrick Le Dot (Patrick.Le-Dot_at_[hidden])
Date: 2012-05-23 05:30:25


David Singleton <David.Singleton <at> anu.edu.au> writes:

>
>
> I should have checked earlier - same for MPI_COMPLEX and MPI_COMPLEX8.
>
> David
>
> On 04/27/2012 08:43 AM, David Singleton wrote:
> >
> > Apologies if this has already been covered somewhere. One of our users
> > has noticed that MPI_COMPLEX16 is flagged as an invalid type in 1.5.4
> > but not in 1.4.3 while MPI_DOUBLE_COMPLEX is accepted for both. This is
> > with either gfortran or intel-fc.
> > ...

Hi,

I hit the same problem : MPI_COMPLEX8 and MPI_COMPLEX16 were available
in v1.4 but were removes in v1.5 and I don't understand why, except that
this types are not into the standard...

I have a patch to reintroduce them again so let me know what you think.

Thanks,
Patrick